/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMRB_PPG demo for the TOSHIBA
 *          'TMPM440' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm440_tmrb.h"
#include "tmpm440_gpio.h"
#include "tmpm440_cg.h"
#include "sw_NoGPIODriver.h"

/* Private define ------------------------------------------------------------*/

#define TMRB12TIME       0x186AU /* TMRB12 for PPG , Ttmrb = 0.08us, 500us/0.08us = 6250 = 0x186A */
#define LEADINGTIMINGMAX         0x05U   /* LEADINGTIMING RATE COUNTER MAX */
#define LEADINGTIMINGINIT        0U      /* LEADINGTIMING RATE COUNTER Initialize */

/* External function prototypes ----------------------------------------------*/
#endif
