/** 
 *******************************************************************************
 * @file    tmpm440_uart_int.c
 * @brief   all interrupt request functions definition of UART_Retarget 
 *          for the TOSHIBA 'TMPM440' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm440_int.h"

/* Private define ------------------------------------------------------------*/
uint8_t fIntADC = 0U;

/**
  * @brief  The ADC interrupt request function.
  * @param  None
  * @retval None
  */
void INTADA_IRQHandler(void)
{
    fIntADC = 1U;
}
