/**
 *******************************************************************************
 * @file    DemoA.c
 * @brief   Example Demo for Flash_Userboot Demo
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
 
#include    "TMPM440.h"
#define     LED_DEMOA_ON    0x01U
#define     LED_DEMOA_OFF   (uint8_t) (~LED_DEMOA_ON)
#define     LED_DATA_PORT   TSB_PT

void delay(void)
{
    uint32_t i = 0U;
    for (i = 0U; i < 0x1FFFFFU; i++) {
    }
}

/* main function */
int main(void)
{

/*LED initial*/
    LED_DATA_PORT->CR |= LED_DEMOA_ON;
    LED_DATA_PORT->DATA &= LED_DEMOA_OFF;
    while (1U) {
        LED_DATA_PORT->DATA |= LED_DEMOA_ON;
        delay();
        LED_DATA_PORT->DATA &= LED_DEMOA_OFF;
        delay();
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1U) {
        __NOP();
    }
}
#endif
