/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of GPIO demo for the
 *          TOSHIBA 'TMPM440' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* include file */
#include "main.h"

int main(void)
{
    LED_Init();
    SW_Init();
    while(1U) {
        if (SW_Get(SW0)) {
            LED_On(LED0);
        } else {
            LED_Off(LED0);
        }
        if (SW_Get(SW1)) {
            LED_On(LED1);
        } else {
            LED_Off(LED1);
        }
        if (SW_Get(SW2)) {
            LED_On(LED2);
        } else {
            LED_Off(LED2);
        }
        if (SW_Get(SW3)) {
            LED_On(LED3);
        } else {
            LED_Off(LED3);
        }
        if (SW_Get(SW4)) {
            LED_On(LED4);
        } else {
            LED_Off(LED4);
        }
        
    }

}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1U) {
        __NOP();
    }
}
#endif
