/**
 *******************************************************************************
 * @file    tmpm440_tmrc_int.c
 * @brief   all interrupt request functions definition of TMRC demo
 *          for the TOSHIBA 'TMPM440' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "tmpm440_tmrc_int.h"
#include "tmpm440_tmrc.h"
#include "led.h"

/**
  * @brief  TMRC overflow interrupt service routine 
  * @param  None
  * @retval None
  */
void INTTCTBT_IRQHandler(void)
{
/* overflow interrupt INTTCTBT occured and the counter value will be
cleared to "0" then start up counting*/

}

/*********************************** END OF FILE ******************************/
