/**
 *******************************************************************************
 * @file    tmpm440_uart_int.h
 * @brief   interrupt request functions definition of UART_FIFO_Demo
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM440_UART_INT_H
#define __TMPM440_UART_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM440.h"
#include "tmpm440_uart.h"


void INTTX0_IRQHandler(void);
void INTRX3_IRQHandler(void);

void INTRX0_IRQHandler(void);
void INTTX3_IRQHandler(void);
#endif                          /* __TMPM440_UART_INT_H */
